package com.fs.qw.service;

import com.fs.qw.domain.QwContact;
import com.fs.qw.domain.QwContactReturn;
import com.fs.qw.domain.QwContactSearch;
import com.fs.qw.dto.AddContactDTO;
import com.fs.qw.dto.ModifyDTO;
import com.fs.qw.vo.QwContactListVO;
import com.fs.qw.vo.QwContactVO;

import java.util.List;

public interface IQwContactService {

    QwContactSearch search(String deviceId, Long phone);

    void add(AddContactDTO addContactDTO);

    QwContactReturn list(Long seq,String deviceId);

    void delete(String deviceId,Long userId);

    void modify(ModifyDTO modifyDTO);

    QwContactVO detail(String deviceId,Long userId);

    void agreeFriend(String deviceId,Long userId,Long corpId);

    /**
     * 查询企微联系人
     *
     * @param id 企微联系人ID
     * @return 企微联系人
     */
    public QwContact selectQwContactById(Long id);

    /**
     * 查询企微联系人列表
     *
     */
    public List<QwContactListVO> selectQwContactList(String homeUserId);

    /**
     * 新增企微联系人
     *
     * @param qwContact 企微联系人
     * @return 结果
     */
    public int insertQwContact(QwContact qwContact);

    /**
     * 修改企微联系人
     *
     * @param qwContact 企微联系人
     * @return 结果
     */
    public int updateQwContact(QwContact qwContact);

    /**
     * 批量删除企微联系人
     *
     * @param ids 需要删除的企微联系人ID
     * @return 结果
     */
    public int deleteQwContactByIds(Long[] ids);

    /**
     * 删除企微联系人信息
     *
     * @param id 企微联系人ID
     * @return 结果
     */
    public int deleteQwContactById(Long id);


    public QwContact selectQwContactByUserId(Long UserId);

}
